# File Management

## Table of contents
- Introduction
- Features
- Installation and configuration
- Support / community
- Maintainer
- Sponsorship
- Credits

## Introduction
The [File Management](https://www.drupal.org/project/file_management) module
allows you to edit existing files or images directly from the
files overview view.

This is extremely helpful, especially if you are using the same file on
multiple different entities (e.g. with the help from **Media** or
[IMCE](https://www.drupal.org/project/imce)). 

## Features
- Update files and images which are already in use by nodes, taxonomy terms,
paragraphs or simply any entity!
- Also supports updating **Media** files!

## Installation and configuration
1. Install the module as usual
2. Add a `Operations links` field to your files overview view **or** install
the `File Management View` submodule.  
The submodule disables the default files overview view and adds a custom one
with the operation links already added.
3. You can now view and edit files from the files overview view!

## Support / community
If you want to reach out to me to discuss development, contribution,
sponsorship or any other topic related to this module, simply connect
in one of the following ways with me.

- [Drupal Slack](https://www.drupal.org/slack) 
([#file_management](https://drupal.slack.com/messages/CCYSE5QBT/))
  - Informal questions, answers, discussions. Maybe you want to clarify
  something before creating an actual issue.
- [Issue queue](https://www.drupal.org/project/issues/file_management)
  - New to Drupal? Check out the official documentation for working with
  [issue queues](https://www.drupal.org/issue-queue).
- [Personal contact form](https://www.drupal.org/user/2831253/contact)
  - For everything you want to discuss privately.

## Maintainer
- David Pacassi Torrico ([dpacassi](https://www.drupal.org/u/dpacassi))

## Sponsorship
If you are interested in sponsoring a particular feature or
speed up development, please
[get in touch](https://www.drupal.org/user/2831253/contact) with me.  
I'm also available for consulting and general custom/contrib development.

## Credits
- [Pacassi Webdesign & Development](https://www.drupal.org/pacassi-webdesign-development):
  Module implementation, maintenance, support
